JUCE: ARAListenableModelClass< ListenerType > Class Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ARAListenableModelClass< ListenerType > Class Template Reference
juce_audio_processors » utilities

Base class used by the JUCE ARA model objects to provide listenable interfaces. More...

`#include <juce_ARAModelObjects.h>`

## Public Member Functions
| ARAListenableModelClass ()=default
| Constructor.
virtual | ~ARAListenableModelClass ()=default
| Destructor.
void | addListener (ListenerType *l)
| Subscribe `l` to notified by changes to the object.
void | removeListener (ListenerType *l)
| Unsubscribe `l` from object notifications.
template<typename Callback >
void | notifyListeners (Callback &&callback)
| Call the provided callback for each of the added listeners.

## Detailed Description

template<class ListenerType>
class ARAListenableModelClass< ListenerType >

Base class used by the JUCE ARA model objects to provide listenable interfaces.

## Constructor & Destructor Documentation

## ◆ ARAListenableModelClass()

template<class ListenerType >

ARAListenableModelClass< ListenerType >::ARAListenableModelClass | ( |  | ) |
| default

Constructor.

## ◆ ~ARAListenableModelClass()

template<class ListenerType >

virtual ARAListenableModelClass< ListenerType >::~ARAListenableModelClass | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ addListener()

template<class ListenerType >

void ARAListenableModelClass< ListenerType >::addListener | ( | ListenerType * | l | ) |

Subscribe `l` to notified by changes to the object.

Parameters

  l | The listener instance.

## ◆ removeListener()

template<class ListenerType >

void ARAListenableModelClass< ListenerType >::removeListener | ( | ListenerType * | l | ) |

Unsubscribe `l` from object notifications.

Parameters

  l | The listener instance.

## ◆ notifyListeners()

template<class ListenerType >
template<typename Callback >

void ARAListenableModelClass< ListenerType >::notifyListeners | ( | Callback && | callback | ) |

Call the provided callback for each of the added listeners.

The documentation for this class was generated from the following file:

- juce_ARAModelObjects.h